#!/usr/bin/env python
# encoding: utf-8
"""
cluster_opt.py

Created by Rod Docking on 2011-08-22.
Copyright (c) 2011 Canada's Michael Smith Genome Sciences Centre. All rights reserved.
"""

import sys
import os
from cluster_job import Cluster_job

apollo = {
    'host' : 'apollo',
    'bwa_aln_queue' : 'mpi.q',
    'bwa_aln_pe'    : 'ncpus',
    'bwa_aln_threads' : 8,
    'regular_queue' : 'all.q'
}

genesis = {
    'host' : 'login4',
    'bwa_aln_queue' : 'mpi.q',
    'bwa_aln_pe'    : 'ncpus',
    'bwa_aln_threads' : 12,
    'regular_queue' : 'all.q'
}

local = {
    'host' : None,
    'bwa_aln_queue' : None,
    'bwa_aln_pe'    : None,
    'bwa_aln_threads' : 2,
    'regular_queue' : None
}



class Cluster_opt(object):
    """
    Simple object to hold cluster configuration options
    """

    def __init__(self, opt_name):
        """
        Init with options
        """
        
        try:
            arg = eval(opt_name)
        except NameError, e:
            print "Couldn't find a configuration set for ", opt_name
            print "Please add it to cluster_opt.py to set up"
            sys.exit()        
        
        self.host = arg['host']
        self.bwa_aln_queue = arg['bwa_aln_queue']
        self.bwa_aln_pe = arg['bwa_aln_pe']
        self.bwa_aln_threads = arg['bwa_aln_threads']
        self.regular_queue = arg['regular_queue']

        
def parse_cluster_opts(opt_name):
    """
    Parse a named set of SGE cluster configuration options
    """

    cluster_opt = Cluster_opt(opt_name)
    return cluster_opt

def main():
	pass


if __name__ == '__main__':
	main()

